## org.apache.commons.collections.functors
Class UniquePredicate

    java.lang.Object
      org.apache.commons.collections.functors.UniquePredicate

All Implemented Interfaces:
  Predicate, Serializable

public final class UniquePredicate
extends Object
implements Predicate, Serializable

Predicate implementation that returns true the first time an object is passed into the predicate.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.4 $ $Date: 2004/05/16 11:16:01 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`UniquePredicate()` Constructor that performs no validation.

Method Summary
`boolean` `evaluate(Object object)` Evaluates the predicate returning true if the input object hasn't been received yet.
`static Predicate` `getInstance()` Factory to create the predicate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniquePredicate

    public UniquePredicate()

  Constructor that performs no validation. Use `getInstance` if you want that.

Method Detail

### getInstance

    public static Predicate getInstance()

  Factory to create the predicate.

  Returns:
    the predicate
  Throws:
    `IllegalArgumentException` - if the predicate is null

### evaluate

    public boolean evaluate(Object object)

  Evaluates the predicate returning true if the input object hasn't been received yet.

  Specified by:
    `evaluate` in interface `Predicate`
  Parameters:
    `object` - the input object
  Returns:
    true if this is the first time the object is seen

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.